Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.om
Class ModelGroup

    java.lang.Object
      convert.xml.dtd.om.ModelGroup

Direct Known Subclasses:
  Any, Choice, ElementRef, ModelGroupRef, OneOrMore, Optional, Pcdata, Sequence, ZeroOrMore

    public abstract class ModelGroup

extends java.lang.Object

Field Summary
`static int` | `ANY`
`static int` | `CHOICE`
`static int` | `ELEMENT_REF`
`static int` | `MODEL_GROUP_REF`
`static int` | `ONE_OR_MORE`
`static int` | `OPTIONAL`
`static int` | `PCDATA`
`static int` | `SEQUENCE`
`static int` | `ZERO_OR_MORE`

Constructor Summary
`ModelGroup()`

Method Summary
`abstract void` | `accept(ModelGroupVisitor visitor)`
`abstract int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHOICE

    public static final int CHOICE

See Also:
  Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

See Also:
  Constant Field Values

### ONE_OR_MORE

    public static final int ONE_OR_MORE

See Also:
  Constant Field Values

### ZERO_OR_MORE

    public static final int ZERO_OR_MORE

See Also:
  Constant Field Values

### OPTIONAL

    public static final int OPTIONAL

See Also:
  Constant Field Values

### MODEL_GROUP_REF

    public static final int MODEL_GROUP_REF

See Also:
  Constant Field Values

### ELEMENT_REF

    public static final int ELEMENT_REF

See Also:
  Constant Field Values

### PCDATA

    public static final int PCDATA

See Also:
  Constant Field Values

### ANY

    public static final int ANY

See Also:
  Constant Field Values

Constructor Detail

### ModelGroup

    public ModelGroup()

Method Detail

### getType

    public abstract int getType()

### accept

    public abstract void accept(ModelGroupVisitor visitor)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD